%define lib_name sigc++-1.0

Name: libsigc++
Version: 1.0.4
Release: alt2

Summary: The Typesafe Signal Framework for C++
License: LGPL
Group: System/Libraries
Url: http://libsigc.sourceforge.net/

Source: http://download.sourceforge.net/libsigc/%name-%version.tar.bz2
Patch: %name-1.0.4-alt-soname.patch

Prefix: %prefix

# Automatically added by buildreq on Tue Sep 10 2002
BuildRequires: gcc-c++ glibc-devel-static libstdc++-devel

%description
This library implements a full callback system for use in widget libraries,
abstract interfaces, and general programming. Originally part of the Gtk--
widget set, %name is now a seperate library to provide for more general
use. It is the most complete library of its kind with the ablity to connect
an abstract callback to a class method, function, or function object. It
contains adaptor classes for connection of dissimilar callbacks and has an
ease of use unmatched by other C++ callback libraries.

Package gtkmm, which is a C++ binding to the gtk+ library, uses %name.

%package devel
Summary: Development tools for the Typesafe Signal Framework for C++
Group: Development/C++
Requires: %name = %version-%release

%description devel
This package contains files needed for development with %name.

%package devel-static
Summary: Static library for the Typesafe Signal Framework for C++
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
This package contains static library needed for development
of statically linked software with %name.

%package examples
Summary: Examples and test suit for the Typesafe Signal Framework for C++
Group: Development/C++
Requires: %name-devel = %version-%release

%description examples
The %name-devel package contains source code of example and test
programs for %name.

%prep
%setup -q
gccver=`g++ -v 2>&1 |sed -ne 's,^Reading specs from /usr/lib/gcc-lib/[^/]\+/\([^/]\+\)/specs.*,\1,pg'`
gcc_maj=`echo "$gccver" |cut -d. -f1`
gcc_min=`echo "$gccver" |cut -d. -f2`
if [ $gcc_maj -gt 3 ] || [ $gcc_maj -eq 3 -a $gcc_min -ge 2 ]; then
%patch -p1
fi

perl -pi -e 's/^(includedir\s+=)/override $1/' sigc++/config/Makefile.am
perl -pi -e 's|\${prefix}|%prefix|' README
perl -pi -e 's|PREFIX|%prefix|' doc/FAQ

%build
%remove_optflags %optflags_nocpp

./autogen.sh --noconfigure
%configure

%make_build

%install
mkdir -p -m 755 $RPM_BUILD_ROOT{%_includedir,%_libdir}/%lib_name
%makeinstall

cp -a examples tests $RPM_BUILD_ROOT%_libdir/%lib_name
find $RPM_BUILD_ROOT%_libdir/%lib_name -type d \( -name .libs -o -name .deps \) -print0 |
	xargs -r0 rm -rf
find $RPM_BUILD_ROOT%_libdir/%lib_name -type f -print0 |xargs -r0 file |
	egrep '(relocatable|executable|shell script)' |cut -d: -f1 |xargs -r rm -f

for i in $RPM_BUILD_ROOT%_libdir/%lib_name/{examples,tests/*}/Makefile; do
	rm -f $i.*
	cp -p scripts/examples.Makefile "$i"
done
for i in $RPM_BUILD_ROOT%_libdir/%lib_name/tests/Makefile; do
	rm -f $i.*
	cp -p scripts/tests.Makefile "$i"
done

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS FEATURES README IDEAS ChangeLog TODO

%files devel
%_bindir/*
%_libdir/*.so
%_libdir/*.la
%dir %_libdir/%lib_name
%_libdir/%lib_name/include
%_includedir/*
%_datadir/aclocal/*
%doc doc/*

%files devel-static
%_libdir/*.a

%files examples
%dir %_libdir/%lib_name
%_libdir/%lib_name/examples
%_libdir/%lib_name/tests

%changelog
* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.4-alt2
- Bumped soname for g++ >= 3.2
- Updated %%post/%%postun scripts.

* Wed Oct 24 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.4-alt1
- 1.0.4

* Wed Aug 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.3-ipl2
- Moved static library to devel-static subpackage.

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.3-ipl1
- 1.0.3

* Sun Nov 19 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.2-ipl1
- 1.0.2

* Sat Sep 30 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl1
- Rebuilt with glibc-2.1.94 and gcc-2.96.

* Wed Jun 28 2000 Dmitry V. Levin <ldv@fandra.org>
- RE and Fandra adaptions.
- FHSification.

* Mon May 22 2000 Dmitry V. Levin <ldv@fandra.org>
- 1.0.1 released:
  + Fixed: slot_class from Peter R <petur_r@usa.net>,
  + Marshaller improvements to handle non POD data from Peter R.

* Sun Apr 16 2000 Dmitry V. Levin <ldv@fandra.org>
- retbind.h.m4 was lost in recent release

* Sat Apr 15 2000 Dmitry V. Levin <ldv@fandra.org>
- Updated Url and Source fileds
- 1.0.0 stable release

* Sat Jan 22 2000 Dmitry V. Levin <ldv@fandra.org>
- Filtering out -fno-rtti and -fno-exceptions options from $RPM_OPT_FLAGS
- Minor install section cleanup

* Wed Jan 19 2000 Allan Rae <rae@lyx.org>
- Autogen just creates configure, not runs it, so cleaned that up too.

* Wed Jan 19 2000 Dmitry V. Levin <ldv@fandra.org>
- Minor attr fix
- Removed unnecessary curly braces
- Fixed Herbert's adjustement

* Sat Jan 15 2000 Dmitry V. Levin <ldv@fandra.org>
- Minor package dependence fix

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Fixed typo of mine
- Added traditional CUSTOM_RELEASE stuff
- Added SMP support

* Thu Dec 23 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Adjusted spec file to get tests.Makefile and examples.Makefile from scripts/

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- Split into three packages: %name, %name-devel and %name-examples

* Thu Aug 12 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Updated source field and merged conflicts between revisions.

* Tue Aug 10 1999 Dmitry V. Levin <ldv@fandra.org>
- Updated Prefix and BuildRoot fields

* Thu Aug  5 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- Made sure configure works on all alphas

* Wed Jul  7 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Added autoconf macro for sigc.

* Fri Jun 11 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Made into a .in to keep version field up to date
- Still need to do release by hand

* Mon Jun  7 1999 Dmitry V. Levin <ldv@fandra.org>
- Added Vendor and Packager fields

* Sat Jun  5 1999 Dmitry V. Levin <ldv@fandra.org>
- Updated to 0.8.0

* Tue Jun  1 1999 Dmitry V. Levin <ldv@fandra.org>
- Initial revision
